Apple ayant abandonné les Mac avec processeur PowerPC depuis un bon moment déjà (en fait, depuis le lancement de la version 10.6 de Mac OS X en août 2009), de multiples machines sont maintenant obsolètes. Ces G4 et G5, pouvant pour la plupart utiliser Leopard (10.5) ou Tiger (10.4), se voient amputés des nouvelles versions de logiciels.

Ainsi, mon vieillissant iMac G4, tournant sous Mac OS X Tiger et auquel je viens d'ajouter une carte WiFi pour le connecter au routeur sans-fil, est remis en question. Que faire avec un tel ordinateur ? Puis-je l'utiliser comme ordinateur principal ?

Cet ordinateur, que je possède depuis à peine 1 an (acheté d'occasion pour la somme ridicule de 40$), me permet de faire toutes mes tâches dites régulières en informatique... presque toutes !

En fait, j'ai trois problèmes majeurs dues à l'obsolescence programmée des PowerPC.

Premièrement, iTunes n'est plus mis à jour passé la version 9.2.1. Donc, on oublie la synchronisation avec les iPhone et iPod récents (après 2009). À cela, je n'ai aucune solution. Vraiment.

Aussi, pour ce qui est de mon utilisation principale, c'est-à-dire naviguer sur Internet, peu de navigateurs récents existent. Safari est confiné à la version 4.1.3. Les alternatives évidentes sont Opera (limité à la version 10.63), Firefox (limité à la version 3.6.24), mais il y a également Camino et l'excellent TenFourFox. Résolu!

Et le troisième point est l'utilisation de Bit Torrent. En fait, comme beaucoup de trackers utilisent maintenant des magnet links, plusieurs applications pour Mac OS 10.4 (Tiger) ne permettent pas d'utiliser cela (mais uniquement des fichiers .torrent). Le seul client de magnet sur Tiger est Vuze. Mais j'ai découvert que des sites offrent le transfert de magnet à torrent, ce qui rend plus évident le choix de son client Bit Torrent (Tomato Torrent, Bits on Wheels ou d'autres). Résolu!

Sujet intéressant sur Apple.com à propos de l'obsolescence planifié (en anglais)

Aussi à lire : The Exceptional iMac G4: ten years later (en anglais)

MAJ 2013/01/18 05:59

Aujourd'hui, je viens, grâce au target mode, de mettre-à-jour le iMac G4 de Tiger vers Leopard, ouvrant ainsi la porte à un plus large spectre d'applications "plus" récentes (c'est tout-de-même relatif compte tenu que Leopard n'est plus supporté par beaucoup de développeurs).

Ainsi, Safari 5.0.6 m'est accessible, tout comme Transmission (version 2.22 pour Leopard) et iTunes disponible jusqu'à la version 10.6.3 (permettant la synchronisation de mon iPhone 4).

Cela repousse donc l'achat d'un nouvel ordinateur à plus loin. Le iMac, avec 1 Go de mémoire vive et Leopard, permet de faire exactement ce que je m'attend de lui !